Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseLineBox

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseLineBox

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRLineBox, JRPenContainer, JRStyleContainer

    public class JRBaseLineBox

extends java.lang.Object
implements JRLineBox, JRPenContainer, java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport

This is useful for drawing borders around text elements and images. Boxes can have borders and paddings, which can have different width and colour on each side of the element.

Version:
  $Id: JRBaseLineBox.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.lang.Integer` | `bottomPadding`
`protected JRBoxPen` | `bottomPen`
`protected JRBoxContainer` | `boxContainer`
`protected java.lang.Integer` | `leftPadding`
`protected JRBoxPen` | `leftPen`
`protected java.lang.Integer` | `padding`
`protected JRBoxPen` | `pen`
`static java.lang.String` | `PROPERTY_BOTTOM_PADDING`
`static java.lang.String` | `PROPERTY_LEFT_PADDING`
`static java.lang.String` | `PROPERTY_PADDING`
`static java.lang.String` | `PROPERTY_RIGHT_PADDING`
`static java.lang.String` | `PROPERTY_TOP_PADDING`
`protected java.lang.Integer` | `rightPadding`
`protected JRBoxPen` | `rightPen`
`protected java.lang.Integer` | `topPadding`
`protected JRBoxPen` | `topPen`

Constructor Summary
`JRBaseLineBox(JRBoxContainer boxContainer)`

Method Summary
`JRLineBox` | `clone(JRBoxContainer boxContainer)`
`void` | `copyBottomPen(JRBoxPen bottomPen)`
`void` | `copyLeftPen(JRBoxPen leftPen)`
`void` | `copyPen(JRBoxPen pen)`
`void` | `copyRightPen(JRBoxPen rightPen)`
`void` | `copyTopPen(JRBoxPen topPen)`
`java.lang.Integer` | `getBottomPadding()`
`JRBoxPen` | `getBottomPen()` Gets the pen properties for the bottom border.
`JRBoxContainer` | `getBoxContainer()`
`java.awt.Color` | `getDefaultLineColor()`
`java.lang.Float` | `getDefaultLineWidth()`
`JRDefaultStyleProvider` | `getDefaultStyleProvider()`
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`java.lang.Integer` | `getLeftPadding()`
`JRBoxPen` | `getLeftPen()` Gets the pen properties for the left border.
`java.lang.Integer` | `getOwnBottomPadding()`
`java.lang.Integer` | `getOwnLeftPadding()`
`java.lang.Integer` | `getOwnPadding()`
`java.lang.Integer` | `getOwnRightPadding()`
`java.lang.Integer` | `getOwnTopPadding()`
`java.lang.Integer` | `getPadding()` Gets the default padding in pixels (can be overwritten by individual settings).
`JRBoxPen` | `getPen()` Gets the pen properties for the border.
`java.lang.Integer` | `getRightPadding()`
`JRBoxPen` | `getRightPen()` Gets the pen properties for the right border.
`JRStyle` | `getStyle()` Returns this object's style.
`java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
`java.lang.Integer` | `getTopPadding()`
`JRBoxPen` | `getTopPen()` Gets the pen properties for the top border.
`void` | `setBottomPadding(int bottomPadding)`
`void` | `setBottomPadding(java.lang.Integer bottomPadding)`
`void` | `setLeftPadding(int leftPadding)`
`void` | `setLeftPadding(java.lang.Integer leftPadding)`
`void` | `setPadding(int padding)` Sets the default padding in pixels (can be overwritten by individual settings).
`void` | `setPadding(java.lang.Integer padding)`
`void` | `setRightPadding(int rightPadding)`
`void` | `setRightPadding(java.lang.Integer rightPadding)`
`void` | `setTopPadding(int topPadding)`
`void` | `setTopPadding(java.lang.Integer topPadding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_PADDING

    public static final java.lang.String PROPERTY_PADDING

See Also:
  Constant Field Values

### PROPERTY_TOP_PADDING

    public static final java.lang.String PROPERTY_TOP_PADDING

See Also:
  Constant Field Values

### PROPERTY_LEFT_PADDING

    public static final java.lang.String PROPERTY_LEFT_PADDING

See Also:
  Constant Field Values

### PROPERTY_BOTTOM_PADDING

    public static final java.lang.String PROPERTY_BOTTOM_PADDING

See Also:
  Constant Field Values

### PROPERTY_RIGHT_PADDING

    public static final java.lang.String PROPERTY_RIGHT_PADDING

See Also:
  Constant Field Values

### boxContainer

    protected JRBoxContainer boxContainer

### pen

    protected JRBoxPen pen

### topPen

    protected JRBoxPen topPen

### leftPen

    protected JRBoxPen leftPen

### bottomPen

    protected JRBoxPen bottomPen

### rightPen

    protected JRBoxPen rightPen

### padding

    protected java.lang.Integer padding

### topPadding

    protected java.lang.Integer topPadding

### leftPadding

    protected java.lang.Integer leftPadding

### bottomPadding

    protected java.lang.Integer bottomPadding

### rightPadding

    protected java.lang.Integer rightPadding

Constructor Detail

### JRBaseLineBox

    public JRBaseLineBox(JRBoxContainer boxContainer)

Method Detail

### getDefaultStyleProvider

    public JRDefaultStyleProvider getDefaultStyleProvider()

  Specified by:
    `getDefaultStyleProvider` in interface `JRStyleContainer`

### getStyle

    public JRStyle getStyle()

  Description copied from interface: `JRStyleContainer`
  Returns this object's style.

  Specified by:
    `getStyle` in interface `JRStyleContainer`
  Returns:
    this object's style

### getStyleNameReference

    public java.lang.String getStyleNameReference()

  Description copied from interface: `JRStyleContainer`
  Returns the name of an external style which is to be used by this object.

  External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.

  Specified by:
    `getStyleNameReference` in interface `JRStyleContainer`
  Returns:
    the name of an external style

### getBoxContainer

    public JRBoxContainer getBoxContainer()

  Specified by:
    `getBoxContainer` in interface `JRLineBox`

### getDefaultLineWidth

    public java.lang.Float getDefaultLineWidth()

  Specified by:
    `getDefaultLineWidth` in interface `JRPenContainer`

### getDefaultLineColor

    public java.awt.Color getDefaultLineColor()

  Specified by:
    `getDefaultLineColor` in interface `JRPenContainer`

### getPen

    public JRBoxPen getPen()

  Description copied from interface: `JRLineBox`
  Gets the pen properties for the border.

  Specified by:
    `getPen` in interface `JRLineBox`

### copyPen

    public void copyPen(JRBoxPen pen)

  Specified by:
    `copyPen` in interface `JRLineBox`

### getTopPen

    public JRBoxPen getTopPen()

  Description copied from interface: `JRLineBox`
  Gets the pen properties for the top border.

  Specified by:
    `getTopPen` in interface `JRLineBox`

### copyTopPen

    public void copyTopPen(JRBoxPen topPen)

  Specified by:
    `copyTopPen` in interface `JRLineBox`

### getLeftPen

    public JRBoxPen getLeftPen()

  Description copied from interface: `JRLineBox`
  Gets the pen properties for the left border.

  Specified by:
    `getLeftPen` in interface `JRLineBox`

### copyLeftPen

    public void copyLeftPen(JRBoxPen leftPen)

  Specified by:
    `copyLeftPen` in interface `JRLineBox`

### getBottomPen

    public JRBoxPen getBottomPen()

  Description copied from interface: `JRLineBox`
  Gets the pen properties for the bottom border.

  Specified by:
    `getBottomPen` in interface `JRLineBox`

### copyBottomPen

    public void copyBottomPen(JRBoxPen bottomPen)

  Specified by:
    `copyBottomPen` in interface `JRLineBox`

### getRightPen

    public JRBoxPen getRightPen()

  Description copied from interface: `JRLineBox`
  Gets the pen properties for the right border.

  Specified by:
    `getRightPen` in interface `JRLineBox`

### copyRightPen

    public void copyRightPen(JRBoxPen rightPen)

  Specified by:
    `copyRightPen` in interface `JRLineBox`

### getPadding

    public java.lang.Integer getPadding()

  Description copied from interface: `JRLineBox`
  Gets the default padding in pixels (can be overwritten by individual settings).

  Specified by:
    `getPadding` in interface `JRLineBox`

### getOwnPadding

    public java.lang.Integer getOwnPadding()

  Specified by:
    `getOwnPadding` in interface `JRLineBox`

### setPadding

    public void setPadding(int padding)

  Description copied from interface: `JRLineBox`
  Sets the default padding in pixels (can be overwritten by individual settings).

  Specified by:
    `setPadding` in interface `JRLineBox`

### setPadding

    public void setPadding(java.lang.Integer padding)

  Specified by:
    `setPadding` in interface `JRLineBox`

### getTopPadding

    public java.lang.Integer getTopPadding()

  Specified by:
    `getTopPadding` in interface `JRLineBox`

### getOwnTopPadding

    public java.lang.Integer getOwnTopPadding()

  Specified by:
    `getOwnTopPadding` in interface `JRLineBox`

### setTopPadding

    public void setTopPadding(int topPadding)

  Specified by:
    `setTopPadding` in interface `JRLineBox`

### setTopPadding

    public void setTopPadding(java.lang.Integer topPadding)

  Specified by:
    `setTopPadding` in interface `JRLineBox`

### getLeftPadding

    public java.lang.Integer getLeftPadding()

  Specified by:
    `getLeftPadding` in interface `JRLineBox`

### getOwnLeftPadding

    public java.lang.Integer getOwnLeftPadding()

  Specified by:
    `getOwnLeftPadding` in interface `JRLineBox`

### setLeftPadding

    public void setLeftPadding(int leftPadding)

  Specified by:
    `setLeftPadding` in interface `JRLineBox`

### setLeftPadding

    public void setLeftPadding(java.lang.Integer leftPadding)

  Specified by:
    `setLeftPadding` in interface `JRLineBox`

### getBottomPadding

    public java.lang.Integer getBottomPadding()

  Specified by:
    `getBottomPadding` in interface `JRLineBox`

### getOwnBottomPadding

    public java.lang.Integer getOwnBottomPadding()

  Specified by:
    `getOwnBottomPadding` in interface `JRLineBox`

### setBottomPadding

    public void setBottomPadding(int bottomPadding)

  Specified by:
    `setBottomPadding` in interface `JRLineBox`

### setBottomPadding

    public void setBottomPadding(java.lang.Integer bottomPadding)

  Specified by:
    `setBottomPadding` in interface `JRLineBox`

### getRightPadding

    public java.lang.Integer getRightPadding()

  Specified by:
    `getRightPadding` in interface `JRLineBox`

### getOwnRightPadding

    public java.lang.Integer getOwnRightPadding()

  Specified by:
    `getOwnRightPadding` in interface `JRLineBox`

### setRightPadding

    public void setRightPadding(int rightPadding)

  Specified by:
    `setRightPadding` in interface `JRLineBox`

### setRightPadding

    public void setRightPadding(java.lang.Integer rightPadding)

  Specified by:
    `setRightPadding` in interface `JRLineBox`

### clone

    public JRLineBox clone(JRBoxContainer boxContainer)

  Specified by:
    `clone` in interface `JRLineBox`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com